Class StateAdapter

Declaration :

- C++ : class StateAdapter : public State

Operation retrieve

Declaration :

- Uml : + retrieve() :
- C++ : public: retrieve ()

Relation state (<unidirectional association>)

Declaration :

- Uml : # state : StateProxy, multiplicity : 1
- C++ : protected: StateProxy* state

Relation <unidirectional association>

Declaration :

- Uml : # : Frame
- C++ : protected: Frame*

All public operations : allocateBuffer , fetch , isCalculated , releaseBuffer , retrieve